# Validation operations

| **Description**                          | **Example**                                                                                                  | **Result** |
| ---------------------------------------- | ------------------------------------------------------------------------------------------------------------ | ---------- |
| Is the value numeric                     | {{isNumeric '12.3'}}                                                                                         | true       |
| Is the value alphanumeric                | {{isAlphanumeric 'abc!@123'}}                                                                                | false      |
| Is the value a boolean                   | <p>{{isBool (Request.Body 'jsonpath' '$.paidInFull')}}</p><p>Where the payload is {“paidInFull”:”false”}</p> | true       |
| Is one value greater than another        | <p>{{isGreaterThan (Request.Body 'jsonpath' '$.age') 25}}</p><p>Where the payload is {“age”:”19”}</p>        | false      |
| Is one value less than another           | <p>{{isLessThan (Request.Body 'jsonpath' '$.age') 25}}</p><p>Where the payload is {“age”:”19”}</p>           | true       |
| Is a value between two values            | <p>{{isBetween (Request.Body 'jsonpath' '$.age') 25 35}}</p><p>Where the payload is {“age”:”19”}</p>         | false      |
| Does a string match a regular expression | {{matchesRegex '2022-09-27' '^\d{4}-\d{2}-\d{2}$'}}                                                          | true       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloud.hoverfly.io/create-simulations/using-templating-in-simulations/validation-operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
